FcGetDefaultLangs(3)

NAME
FcGetDefaultLangs - Get the default languages list

SYNOPSIS

#include <fontconfig/fontconfig.h>

FcStrSet * FcGetDefaultLangs (void);

DESCRIPTION

Returns a string set of the default languages according to the environment variables on the system. This function looks for them in order of FC_LANG, LC_ALL, LC_CTYPE and LANG then. If there are no valid values in those environment variables, "en" will be set as fallback.

This function has been replaced by FcConfigGetDefaultLangs and will be deprecated.

SINCE

version 2.9.91